<script context="module">
// @ts-ignore
import { getAllCategories } from "$requesters/requesters";
// @ts-ignore
export async function load({ fetch }) {
  const response = await getAllCategories({fetchWith: fetch})
  console.log(response.body);
  return {
    status: response.status,
    props: {
      categories: response.body
    }
  };
}
</script>

<script>
  // @ts-ignore
  import Category from "$components/blog/Category.svelte";

  export let categories = []
</script>

{#each categories as category }
  <Category {category} />
{/each}
